# Yandex.Games SDK developing server

This package allows you to locally develop a game for the project https://yandex.ru/games

## Usage:

```
npx @yandex-games/sdk-dev-proxy [options]
```

### Available Options:

  | Command          | Description                                                                                  |
  | -----------------|----------------------------------------------------------------------------------------------|
  | `--help`         |  Show help                                                                                   |
  | `--host`, `-h`   |  Host where your game is available (server will proxy to this addres)                        |
  | `--path`, `-p`   |  The folder where your game is located (server will serve static files from this folder)     |
  | `--port`         |  Port to use (default: 8080)                                                                 |
  | `--app-id`, `-i` |  ID of your game (it must be draft)                                                          |
  | `--csp`, `-c`    |  Adds a csp header similar to what would be added to your index.html                         |
  | `--log`, `-l`    |  Enable request logger (default: true)                                                       |
  | `--tld`          |  Change yandex TLD, for example to yandex.com (default: 'ru')                                |

For correct start, one of two parameters must be specified `path`, `host`

### Examples

Serve static files with adding cps meta tag and disabling logging
```
npx @yandex-games/sdk-dev-proxy -p /home/user/game/ --csp -l false
```

Create proxy server on 3000 port to your local build server with adding csp meta tag
```
npx @yandex-games/sdk-dev-proxy -h https://localhost:8000 --csp --port=3000
```
